package ar.edu.unju.fi.champions.champions;

import ar.edu.unju.fi.champions.champions.repository.PlayerRepository;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import ar.edu.unju.fi.champions.champions.entity.Player;
import ar.edu.unju.fi.champions.champions.entity.Team;

import java.util.List;

@SpringBootTest
class ChampionsIiApplicationTests {
	@Autowired
	PlayerRepository playerRepository;

	@Test
	void contextLoads() {
		//FIXME Esta prueba unitaria es solo de ejemplo, por favor utilice los conceptos de la clase de JUnit
		System.out.println("Total de players: " + playerRepository.count());

		Player  newPlayer = new Player();
		newPlayer.setName("Diego Maradona");
		newPlayer.setNum(10);
		newPlayer.setPosition("Enganche");
		Team team = new Team();
		team.setId(1);
		newPlayer.setTeam(team);
		playerRepository.save(newPlayer);
		System.out.println("Total de players: " + playerRepository.count());

		List<Player> players = playerRepository.findByName("DiegoMaradona");
		System.out.println("Total de players: " + players.size());
	}
	@Test
	void test2(){
		List<Player> players = playerRepository.findByName("DiegoMaradona");
		System.out.println("Total de players: " + players.size());
	}

}
